<template>
  <ObForm
    :form-data="formData"
    :is-submit-disabled="false"
    ok-text="Удалить"
    data-qa="settingsWarningForm"
    class="settings-warning"
    @submit="onSubmit"
  >
    В {{ formData.lotsCountToDeleteWithContent }} из {{ formData.totalLotsCountToDelete }} столбцов,
    которые вы хотите удалить, есть данные.
    После удаления данные нельзя будет восстановить.
    Вы уверены, что хотите удалить выбранные столбцы?
  </ObForm>
</template>

<script>
  import FormValidationMixin from 'common-components/src/obComponents/obForm/FormValidationMixin'
  import ObForm from 'common-components/src/obComponents/obForm'

  export default {
    name: 'settingsWarning',
    components: {
      ObForm
    },
    mixins: [
      FormValidationMixin
    ],
    methods: {
      onSubmit () {
        this.$emit('save')
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .settings-warning {
    @include font-mixin(16px, 20px, 400, $color-text-base);
  }
</style>